Segmentation
Segmentation metadata related operations
Retrieves all the areas metadata and configuration available for your company in a hirarchical way
The information provided by this endpoint is useful to build the filters on the stats API or setup the employee profiles on the Employees API.
API Key for Happyforce API
OK
Entity representing the information for a given area or department on your account
Id of the area
64f8a0e2d5b7c9a1e3f4a5b6Name of the area
GET /api/v1/public/company/hierarchy HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Accept: */*
OK
[
{
"id": "64f8a0e2d5b7c9a1e3f4a5b6",
"name": "text",
"children": []
}
]Retrieves all the group metadata (eg: perfomant users, newbies...) and configuration available for your company
The information provided by this endpoint is useful to build the filters on the stats API or setup the employee profiles on the Employees API.
API Key for Happyforce API
OK
Entity representing the information for a given group on your account. A group is a way of tagging an employee, for later segmentation
Id of the group
64f8a0e2d5b7c9a1e3f4a5b6Name of the group
GET /api/v1/public/company/groups HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Accept: */*
OK
[
{
"id": "64f8a0e2d5b7c9a1e3f4a5b6",
"name": "text"
}
]Retrieves all the personal profile metadata (eg: gender, age, tenure) and configuration available for your company
The information provided by this endpoint is useful to build the filters on the stats API or setup the employee profiles on the Employees API.
API Key for Happyforce API
OK
Entity representing the information for a given employee
64f8a0e2d5b7c9a1e3f4a5b6Type of segmentation characteristic
GET /api/v1/public/company/characteristics HTTP/1.1
Host: api.happyforce.com
happyforceAPIKey: YOUR_API_KEY
Accept: */*
OK
[
{
"id": "64f8a0e2d5b7c9a1e3f4a5b6",
"type": "DATE",
"name": "text",
"allowedValues": [
{
"id": "64f8a0e2d5b7c9a1e3f4a5b6",
"label": "text"
}
],
"nodes": [
{
"id": "64f8a0e2d5b7c9a1e3f4a5b6",
"label": "text",
"position": 1
}
]
}
]Last updated